Home > Cannot Load > Cannot Load Awt Toolkit

Cannot Load Awt Toolkit

Bump: New problem: i tried to run it on a WinXP machine but got this error: >>java -jar smallb1.jar Exception in thread "main" java.lang.UnsupportedClassVersionError: smallb1/mainGUI (Unsupported major.minor version 49.0) at java.lang.ClassLoader.defineClass0(Native Registration is quick, simple and absolutely free. Cheers.... Removing libgcj7-jar ... Source

Posts Quoted: Reply Clear All Quotes Home Minecraft Forum Support Unmodified Minecraft Client Support Opensuse problem (libgcj.so.13) Previous Thread Jump to Forum Next Thread Curse Facebook Twitter Youtube Newsletter Civ 6 Rollback Post to Revision RollBack #8 Jan 17, 2013 okal okal View User Profile View Posts Send Message Curse Premium Glowstone Miner Location: UK Join Date: 12/10/2010 Posts: 3,497 Member Details who is Tom Bombadil ? Is the libgcj.so.7 library/file causing me a problem? http://www.linuxquestions.org/questions/linux-newbie-8/java-awt-awterror-cannot-load-awt-toolkit-gnu-java-awt-peer-gtk-gtktoolkit-444240/

Ubuntu Logo, Ubuntu and Canonical Canonical Ltd. You're using the GNU Compiler for Java... (something like that) use update-alternatives @ the terminal... em..........I don't understand......can I not run my file using a different Look&Feel ??

Join Date Jun 2006 Beans 326 DistroUbuntu 8.04 Hardy Heron Cannot load AWT toolkit ?? Are you new to LinuxQuestions.org? Thank you, Francesco Follow-Ups: Re: gcj 4.4 and AWT toolkit From: Andrew Haley Index Nav: [DateIndex] [SubjectIndex] [AuthorIndex] [ThreadIndex] Message Nav: [DatePrev][DateNext] [ThreadPrev][ThreadNext] This book contains many real life examples derived from the author's experience as a Linux system and network administrator, trainer and consultant.

Join our community for more solutions or to ask questions. The package that I have installed is the 1.7.0_10-fcs package from vendor: Sun Microsystems, or is reporting 1.5 normal? Rollback Post to Revision RollBack To post a comment, please login or register a new account. Thanks a lot artemis8543 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by artemis8543 05-13-2006, 01:58 PM #2 mrcheeks Senior Member

And I'm using Sun Java Studio Enterprise 8 !! My JDK is 1.4.2 iReport Designer techmaker 2 Joined: Aug 17 2006 - 1:21am Last seen: 10 years 2 months ago 2 Answers: 0 Posted on August 18, 2006 at 10:58pm linux-dkbd:/home/snork # update-alternatives --config java There is only one alternative in link group java: /usr/lib64/jvm/jre-1.7.0-openjdk/bin/java Nothing to configure. Updating lwjgl worked.

Visit the following links: Site Howto | Site FAQ | Sitemap | Register Now If you have any problems with the registration process or your account login, please contact us. try this Board index All times are UTC - 8 hours [ DST ] Login FAQ / Rules Register Search Boards : Knowledge Base: knowledge base chat about fr ja es mozillaZine is artemis8543 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by artemis8543 05-16-2006, 08:35 PM #4 artemis8543 LQ Newbie Registered: Apr 2006 Distribution: My workstations do real work, and so I rarely have the patience to deal with silly problems caused by an upgraded kernel that had experimental software on it to begin with

I tried setting different LooknFeel's but I still get the same error.... http://scriptkeeper.net/cannot-load/cannot-load-awt-toolkit-minecraft.html You are currently viewing LQ as a guest. Privacy Policy Site Map Support Terms of Use Board index Change font size Information The requested topic does not exist. who is Tom Bombadil ?

Adv Reply March 19th, 2007 #2 Ragazzo View Profile View Forum Posts Private Message Frothy Coffee! I fixed that but I get:java.lang.NoClassDefFoundError: com/jmex/awt/lwjgl/LWJGLCanvas        at com.jme.system.lwjgl.LWJGLSystemProvider.(Unknown Source)        at com.jme.system.DisplaySystem.(Unknown Source)        at com.jme.system.lwjgl.LWJGLPropertiesDialog.setUpRendererChooser(Unknown Source)        at com.jme.system.lwjgl.LWJGLPropertiesDialog.createUI(Unknown Source)  If you'd like to contribute content, let us know. have a peek here Index Nav: [DateIndex] [SubjectIndex] [AuthorIndex] [ThreadIndex] Message Nav: [DatePrev][DateNext] [ThreadPrev][ThreadNext] Other format: [Raw text] Re: gcj 4.4 and AWT toolkit From: "ffileppo" To: "aph"

They hope these examples will help you to get a better understanding of the Linux system and that you feel encouraged to try out things on your own. Ubuntu Ubuntu Insights Planet Ubuntu Activity Page Please read before SSO login Advanced Search Forum The Ubuntu Forum Community Ubuntu Specialised Support Development & Programming Programming Talk Cannot load AWT toolkit Curse Help Register Sign In Minecraft Forums Twitter Facebook Youtube Advanced Search News Forum Servers Wiki Premium Curse App Mods on Curse Rules Chat Desktop View Home Minecraft Forum Support Unmodified

Now I get to the launcher, but when I log in I get: asdf Exception in thread "Thread-3" java.lang.UnsatisfiedLinkError: /home/snork/.minecraft/bin/natives/liblwjgl.so: /home/jrobb/.minecraft/bin/natives/liblwjgl.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

Rollback Post to Revision RollBack #2 Jan 16, 2013 Ion_Silverbolt Ion_Silverbolt View User Profile View Posts Send Message Tree Puncher Join Date: 1/16/2013 Posts: 20 Member Details I also get the If it is not in the man pages or the how-to's this is the place! Last edited by Ion_Silverbolt: Jan 16, 2013 Rollback Post to Revision RollBack #3 Jan 16, 2013 snorkelson snorkelson View User Profile View Posts Send Message Out of the Water Join Date: With regards to update-alternatives, I revceive the following: linux-dkbd:/home/snork # update-alternatives --config java There is only one alternative in link group java: /usr/lib64/jvm/jre-1.5.0-gcj/bin/java Nothing to configure.

and now it just works, no other configuration required. When I try to execute a java program using the java ProgramName command, I get this error Exception in thread "main" java.awt.AWTError: Cannot load AWT toolkit: gnu.java.awt.peer.gtk.GtkToolkit at java.awt.Toolkit.getDefaultToolkit(libgcj.so.7) at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(libgcj.so.7) It looks like everything points to libgcj.so.13 which is a Java Runtime Library for gcc. Check This Out I installed the 32 bit compatability for libgcj.so.13, on the odd chance I mistakenly downloaded the 32 bit version, but I get the same error.

Removing gcj-4.1-base ... I am a Linux novice... Introduction to Linux - A Hands on Guide This guide was created as an overview of the Linux Operating System, geared toward new users as an exploration tour and getting started I think you can choose Sun's Java as the default JRE using that program...

You need to use Sun's Java. Join Now For immediate help use Live now!